=== debian/control ===
Source: profiled
Section: misc
Priority: optional
Maintainer: Simo Piiroinen <simo.piiroinen@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 doxygen
Standards-Version: 3.7.2

Package: profiled
Architecture: any
Depends: ${shlibs:Depends}
Description: profile daemon, manages user settings
 Gets default set of settings from profile data packages
 that are installed on the device.
 .
 Currently active profile and values within profile can
 be changed using C language API implemented in libprofile0.
 .
 Changes to values are broadcast as D-Bus signals so that
 active clients can be avare of changes without polling.

Package: profiled-dbg
Section: devel
Priority: extra
Architecture: any
Depends: profiled (= ${binary:Version})
Description: debug symbols for profiled
 This package contains debug information for profiled,
 useful for debugging tools like gdb.

Package: profileclient
Architecture: any
Depends: ${shlibs:Depends}
Description: command line test tool for profiled
 The profileclient tool can be used to query/change
 profiles and profile values.

Package: profileclient-dbg
Section: devel
Priority: extra
Architecture: any
Depends: profileclient (= ${binary:Version})
Description: debug symbols for profileclient
 This package contains debug information for XXX,
 useful for debugging tools like gdb.

Package: libprofile0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, profiled (>= ${binary:Version})
Description: client library for communicating with profiled
 Dynamic library implementing the API use for accessing
 profile data managed by the profile daemon.

Package: libprofile0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libprofile0 (= ${binary:Version})
Description: debug symbols for libprofile0
 This package contains debug information for libprofile0,
 useful for debugging tools like gdb.

Package: libprofile-dev
Section: libdevel
Architecture: any
Depends: libprofile0 (= ${binary:Version}), ${shlibs:Depends}
Description: development files for libprofile0
 C language headers for building client applications using
 libprofile0 library.

Package: libprofile-doc
Section: doc
Architecture: all
Depends:
Description: API documentation for libprofile0
 Doxygen generated files documenting the C language API used by
 the client applications and the D-Bus API used by libprofile0
 for communication with profiled.

Package: profile-data
Architecture: all
Description: configuration data for the profile daemon
 Contains default values for profile keys from
 product UI specifications.

Package: profile-data-dev
Section: libdevel
Architecture: all
Depends: profile-data (= ${binary:Version})
Description: development files for profile-data
 Include file for C language defining profile key names.
