=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,12 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+  CFLAGS += -mthumb
+endif
+
+export CFLAGS
 
 .PHONY: build clean realclean install configure\
 	binary-indep binary-arch binary
